optimEH {ade4} | R Documentation

## Nee and May's optimizing process

### Description

This function is deprecated. See the function `optimEH` in the package `adiv`.

performs Nee and May's optimizing scheme. When branch lengths in an ultrametric phylogenetic tree are expressed as divergence times, the total sum of branch lengths in that tree expresses the amount of evolutionary history. Nee and May's algorithm optimizes the amount of evolutionary history preserved if only k species out of n were to be saved. The k-1 closest-to-root nodes are selected, which defines k clades; one species from each clade is picked. At this last step, we decide to select the most original species of each from the k clades.

### Usage

    optimEH(phyl, nbofsp, tol = 1e-8, give.list = TRUE)

### Arguments

`phyl` | an object of class phylog
`nbofsp` | an integer indicating the number of species saved (k).
`tol` | a tolerance threshold for null values (a value less than `tol` in absolute terms is considered as NULL).
`give.list` | logical value indicating whether a list of optimizing species should be provided. If `give.list = TRUE`, `optimEH` provides the list of the k species which optimize the amount of evolutionary history preserved and are the most original species in their clades. If `give.list = FALSE`, `optimEH` returns directly the real value giving the amount of evolutionary history preserved.

### Value

Returns a list containing:

`value` | a real value providing the amount of evolutionary history preserved.
`selected.sp` | a data frame containing the list of the k species which optimize the amount of evolutionary history preserved and are the most original species in their clades.

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Nee, S. and May, R.M. (1997) Extinction and the loss of evolutionary history. Science 278, 692–694.

Pavoine, S., Ollier, S. and Dufour, A.-B. (2005) Is the originality of a species measurable? Ecology Letters, 8, 579–586.

### See Also

`randEH`

### Examples

    data(carni70)
    carni70.phy <- newick2phylog(carni70$tre)
    optimEH(carni70.phy, nbofsp = 7, give.list = TRUE)

[Package ade4 version 1.7-13 Index]